from amaranth import *
from amaranth.sim import *
from uart import *
from tests import BaseTestClass, provide_testcase_name


class TestHarness(Elaboratable):
    def __init__(self):
        self.uut = UART(10e6)


    def elaborate(self, platform):
        assert platform is None

        m = Module()

        return m